## org.apache.poi.hwpf.model
Class ComplexFileTable

    java.lang.Object
      org.apache.poi.hwpf.model.ComplexFileTable

    @Internal
    public final class ComplexFileTable

extends java.lang.Object

Field Summary
`protected TextPieceTable` `_tpt`

Constructor Summary
`ComplexFileTable()`
`ComplexFileTable(byte[] documentStream, byte[] tableStream, int offset, int fcMin)`

Method Summary
`SprmBuffer[]` `getGrpprls()`
`TextPieceTable` `getTextPieceTable()`
`void` `writeTo(HWPFFileSystem sys)` Deprecated.
`void` `writeTo(HWPFOutputStream wordDocumentStream, HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tpt

    protected TextPieceTable _tpt

Constructor Detail

### ComplexFileTable

    public ComplexFileTable()

### ComplexFileTable

    public ComplexFileTable(byte[] documentStream,
                            byte[] tableStream,
                            int offset,
                            int fcMin)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getTextPieceTable

    public TextPieceTable getTextPieceTable()

### getGrpprls

    public SprmBuffer[] getGrpprls()

### writeTo

    @Deprecated
    public void writeTo(HWPFFileSystem sys)
                 throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(HWPFOutputStream wordDocumentStream,
                        HWPFOutputStream tableStream)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.